import { jsx } from "react/jsx-runtime";
import { TokenNPC as TokenNPC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNPC = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "NPC", "data-name": "TokenNPC", ...props, children: /* @__PURE__ */ jsx(TokenNPC$1, { variant }) });
  }
);
TokenNPC.displayName = "TokenNPC";
Object.assign(TokenNPC, { isGdsIcon: true });
export {
  TokenNPC
};
